Bug 5918 - Missing modules for joysticks and Video4Linux
Missing modules for joysticks and Video4Linux
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
alpha Linux
low Severity low
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-13 16:28 EDT by mchampig
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-09 10:24:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mchampig 1999-10-13 16:28:05 EDT
Please build the joystick and video4linux modules into the
Alpha generic kernel. You already have the XFree86 support
for joysticks so why not make use of it. Also, I've tested
Quickcam's on Alpha boxes and they work fine. You don't
support joysticks and media cards anyway, so why not build
them and give a disclaimer? I'm sure most of the modules
work as well as they do on Intel by this time.

In fact, why not just build every module you can with the
current kernel? The kernel doesn't fit on a floppy anyway,
so there is no need to be stingy with drivers. :-)
Comment 1 Mike Wangsmo 1999-10-19 14:03:59 EDT
I added the Video4Linux modules to the build as per AC.  He will get
back to me about what joystick modules I need to turn on later.
Comment 2 mchampig 1999-10-27 09:29:59 EDT
Have the joystick modules been added yet too? I hope you can at
least add analog joystick support.
Comment 3 Cristian Gafton 2000-01-04 17:20:59 EST
Assigned to dledford
Comment 4 Bill Nottingham 2000-02-05 18:58:59 EST
Bugger, these somehow fell out between 2.2.12-42 and
the 2.2.13-0.9 that shipped on alpha.
Comment 5 mchampig 2000-02-09 10:24:59 EST
The video4linux and joystick modules are still missing from the Rawhide kernel
2.2.14-1.3.0. I hope you can include these in the next release on Alpha. As it
stands, in order to use xawtv, vic, and joystick (shipped with PowerTools) you
need these included.
Comment 6 Michael K. Johnson 2000-07-31 16:22:53 EDT
The kernel SRPM in Red Hat Linux 6.95 builds the joystick and v4l modules
on the alpha kernels.

Note You need to log in before you can comment on or make changes to this bug.